package com.dhcc.finance.main.domain;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class CwBdRecordTransferExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CwBdRecordTransferExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("ID like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("ID not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdIsNull() {
            addCriterion("BATCH_MONITOR_ID is null");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdIsNotNull() {
            addCriterion("BATCH_MONITOR_ID is not null");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdEqualTo(String value) {
            addCriterion("BATCH_MONITOR_ID =", value, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdNotEqualTo(String value) {
            addCriterion("BATCH_MONITOR_ID <>", value, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdGreaterThan(String value) {
            addCriterion("BATCH_MONITOR_ID >", value, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdGreaterThanOrEqualTo(String value) {
            addCriterion("BATCH_MONITOR_ID >=", value, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdLessThan(String value) {
            addCriterion("BATCH_MONITOR_ID <", value, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdLessThanOrEqualTo(String value) {
            addCriterion("BATCH_MONITOR_ID <=", value, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdLike(String value) {
            addCriterion("BATCH_MONITOR_ID like", value, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdNotLike(String value) {
            addCriterion("BATCH_MONITOR_ID not like", value, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdIn(List<String> values) {
            addCriterion("BATCH_MONITOR_ID in", values, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdNotIn(List<String> values) {
            addCriterion("BATCH_MONITOR_ID not in", values, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdBetween(String value1, String value2) {
            addCriterion("BATCH_MONITOR_ID between", value1, value2, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andBatchMonitorIdNotBetween(String value1, String value2) {
            addCriterion("BATCH_MONITOR_ID not between", value1, value2, "batchMonitorId");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookIsNull() {
            addCriterion("PK_GLORGBOOK is null");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookIsNotNull() {
            addCriterion("PK_GLORGBOOK is not null");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookEqualTo(String value) {
            addCriterion("PK_GLORGBOOK =", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookNotEqualTo(String value) {
            addCriterion("PK_GLORGBOOK <>", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookGreaterThan(String value) {
            addCriterion("PK_GLORGBOOK >", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookGreaterThanOrEqualTo(String value) {
            addCriterion("PK_GLORGBOOK >=", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookLessThan(String value) {
            addCriterion("PK_GLORGBOOK <", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookLessThanOrEqualTo(String value) {
            addCriterion("PK_GLORGBOOK <=", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookLike(String value) {
            addCriterion("PK_GLORGBOOK like", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookNotLike(String value) {
            addCriterion("PK_GLORGBOOK not like", value, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookIn(List<String> values) {
            addCriterion("PK_GLORGBOOK in", values, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookNotIn(List<String> values) {
            addCriterion("PK_GLORGBOOK not in", values, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookBetween(String value1, String value2) {
            addCriterion("PK_GLORGBOOK between", value1, value2, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andPkGlorgbookNotBetween(String value1, String value2) {
            addCriterion("PK_GLORGBOOK not between", value1, value2, "pkGlorgbook");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameIsNull() {
            addCriterion("GLORGBOOK_NAME is null");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameIsNotNull() {
            addCriterion("GLORGBOOK_NAME is not null");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameEqualTo(String value) {
            addCriterion("GLORGBOOK_NAME =", value, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameNotEqualTo(String value) {
            addCriterion("GLORGBOOK_NAME <>", value, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameGreaterThan(String value) {
            addCriterion("GLORGBOOK_NAME >", value, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameGreaterThanOrEqualTo(String value) {
            addCriterion("GLORGBOOK_NAME >=", value, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameLessThan(String value) {
            addCriterion("GLORGBOOK_NAME <", value, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameLessThanOrEqualTo(String value) {
            addCriterion("GLORGBOOK_NAME <=", value, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameLike(String value) {
            addCriterion("GLORGBOOK_NAME like", value, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameNotLike(String value) {
            addCriterion("GLORGBOOK_NAME not like", value, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameIn(List<String> values) {
            addCriterion("GLORGBOOK_NAME in", values, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameNotIn(List<String> values) {
            addCriterion("GLORGBOOK_NAME not in", values, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameBetween(String value1, String value2) {
            addCriterion("GLORGBOOK_NAME between", value1, value2, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andGlorgbookNameNotBetween(String value1, String value2) {
            addCriterion("GLORGBOOK_NAME not between", value1, value2, "glorgbookName");
            return (Criteria) this;
        }

        public Criteria andPeriodIsNull() {
            addCriterion("PERIOD is null");
            return (Criteria) this;
        }

        public Criteria andPeriodIsNotNull() {
            addCriterion("PERIOD is not null");
            return (Criteria) this;
        }

        public Criteria andPeriodEqualTo(String value) {
            addCriterion("PERIOD =", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodNotEqualTo(String value) {
            addCriterion("PERIOD <>", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodGreaterThan(String value) {
            addCriterion("PERIOD >", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodGreaterThanOrEqualTo(String value) {
            addCriterion("PERIOD >=", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodLessThan(String value) {
            addCriterion("PERIOD <", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodLessThanOrEqualTo(String value) {
            addCriterion("PERIOD <=", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodLike(String value) {
            addCriterion("PERIOD like", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodNotLike(String value) {
            addCriterion("PERIOD not like", value, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodIn(List<String> values) {
            addCriterion("PERIOD in", values, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodNotIn(List<String> values) {
            addCriterion("PERIOD not in", values, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodBetween(String value1, String value2) {
            addCriterion("PERIOD between", value1, value2, "period");
            return (Criteria) this;
        }

        public Criteria andPeriodNotBetween(String value1, String value2) {
            addCriterion("PERIOD not between", value1, value2, "period");
            return (Criteria) this;
        }

        public Criteria andIsTransferIsNull() {
            addCriterion("IS_TRANSFER is null");
            return (Criteria) this;
        }

        public Criteria andIsTransferIsNotNull() {
            addCriterion("IS_TRANSFER is not null");
            return (Criteria) this;
        }

        public Criteria andIsTransferEqualTo(String value) {
            addCriterion("IS_TRANSFER =", value, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferNotEqualTo(String value) {
            addCriterion("IS_TRANSFER <>", value, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferGreaterThan(String value) {
            addCriterion("IS_TRANSFER >", value, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferGreaterThanOrEqualTo(String value) {
            addCriterion("IS_TRANSFER >=", value, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferLessThan(String value) {
            addCriterion("IS_TRANSFER <", value, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferLessThanOrEqualTo(String value) {
            addCriterion("IS_TRANSFER <=", value, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferLike(String value) {
            addCriterion("IS_TRANSFER like", value, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferNotLike(String value) {
            addCriterion("IS_TRANSFER not like", value, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferIn(List<String> values) {
            addCriterion("IS_TRANSFER in", values, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferNotIn(List<String> values) {
            addCriterion("IS_TRANSFER not in", values, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferBetween(String value1, String value2) {
            addCriterion("IS_TRANSFER between", value1, value2, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andIsTransferNotBetween(String value1, String value2) {
            addCriterion("IS_TRANSFER not between", value1, value2, "isTransfer");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonIsNull() {
            addCriterion("RANSFER_FAILREASON is null");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonIsNotNull() {
            addCriterion("RANSFER_FAILREASON is not null");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonEqualTo(String value) {
            addCriterion("RANSFER_FAILREASON =", value, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonNotEqualTo(String value) {
            addCriterion("RANSFER_FAILREASON <>", value, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonGreaterThan(String value) {
            addCriterion("RANSFER_FAILREASON >", value, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonGreaterThanOrEqualTo(String value) {
            addCriterion("RANSFER_FAILREASON >=", value, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonLessThan(String value) {
            addCriterion("RANSFER_FAILREASON <", value, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonLessThanOrEqualTo(String value) {
            addCriterion("RANSFER_FAILREASON <=", value, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonLike(String value) {
            addCriterion("RANSFER_FAILREASON like", value, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonNotLike(String value) {
            addCriterion("RANSFER_FAILREASON not like", value, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonIn(List<String> values) {
            addCriterion("RANSFER_FAILREASON in", values, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonNotIn(List<String> values) {
            addCriterion("RANSFER_FAILREASON not in", values, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonBetween(String value1, String value2) {
            addCriterion("RANSFER_FAILREASON between", value1, value2, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andRansferFailreasonNotBetween(String value1, String value2) {
            addCriterion("RANSFER_FAILREASON not between", value1, value2, "ransferFailreason");
            return (Criteria) this;
        }

        public Criteria andIsSettleIsNull() {
            addCriterion("IS_SETTLE is null");
            return (Criteria) this;
        }

        public Criteria andIsSettleIsNotNull() {
            addCriterion("IS_SETTLE is not null");
            return (Criteria) this;
        }

        public Criteria andIsSettleEqualTo(String value) {
            addCriterion("IS_SETTLE =", value, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleNotEqualTo(String value) {
            addCriterion("IS_SETTLE <>", value, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleGreaterThan(String value) {
            addCriterion("IS_SETTLE >", value, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleGreaterThanOrEqualTo(String value) {
            addCriterion("IS_SETTLE >=", value, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleLessThan(String value) {
            addCriterion("IS_SETTLE <", value, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleLessThanOrEqualTo(String value) {
            addCriterion("IS_SETTLE <=", value, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleLike(String value) {
            addCriterion("IS_SETTLE like", value, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleNotLike(String value) {
            addCriterion("IS_SETTLE not like", value, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleIn(List<String> values) {
            addCriterion("IS_SETTLE in", values, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleNotIn(List<String> values) {
            addCriterion("IS_SETTLE not in", values, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleBetween(String value1, String value2) {
            addCriterion("IS_SETTLE between", value1, value2, "isSettle");
            return (Criteria) this;
        }

        public Criteria andIsSettleNotBetween(String value1, String value2) {
            addCriterion("IS_SETTLE not between", value1, value2, "isSettle");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonIsNull() {
            addCriterion("SETTLE_FAILREASON is null");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonIsNotNull() {
            addCriterion("SETTLE_FAILREASON is not null");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonEqualTo(String value) {
            addCriterion("SETTLE_FAILREASON =", value, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonNotEqualTo(String value) {
            addCriterion("SETTLE_FAILREASON <>", value, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonGreaterThan(String value) {
            addCriterion("SETTLE_FAILREASON >", value, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonGreaterThanOrEqualTo(String value) {
            addCriterion("SETTLE_FAILREASON >=", value, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonLessThan(String value) {
            addCriterion("SETTLE_FAILREASON <", value, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonLessThanOrEqualTo(String value) {
            addCriterion("SETTLE_FAILREASON <=", value, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonLike(String value) {
            addCriterion("SETTLE_FAILREASON like", value, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonNotLike(String value) {
            addCriterion("SETTLE_FAILREASON not like", value, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonIn(List<String> values) {
            addCriterion("SETTLE_FAILREASON in", values, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonNotIn(List<String> values) {
            addCriterion("SETTLE_FAILREASON not in", values, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonBetween(String value1, String value2) {
            addCriterion("SETTLE_FAILREASON between", value1, value2, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andSettleFailreasonNotBetween(String value1, String value2) {
            addCriterion("SETTLE_FAILREASON not between", value1, value2, "settleFailreason");
            return (Criteria) this;
        }

        public Criteria andUseStateIsNull() {
            addCriterion("USE_STATE is null");
            return (Criteria) this;
        }

        public Criteria andUseStateIsNotNull() {
            addCriterion("USE_STATE is not null");
            return (Criteria) this;
        }

        public Criteria andUseStateEqualTo(String value) {
            addCriterion("USE_STATE =", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotEqualTo(String value) {
            addCriterion("USE_STATE <>", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateGreaterThan(String value) {
            addCriterion("USE_STATE >", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateGreaterThanOrEqualTo(String value) {
            addCriterion("USE_STATE >=", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLessThan(String value) {
            addCriterion("USE_STATE <", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLessThanOrEqualTo(String value) {
            addCriterion("USE_STATE <=", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateLike(String value) {
            addCriterion("USE_STATE like", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotLike(String value) {
            addCriterion("USE_STATE not like", value, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateIn(List<String> values) {
            addCriterion("USE_STATE in", values, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotIn(List<String> values) {
            addCriterion("USE_STATE not in", values, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateBetween(String value1, String value2) {
            addCriterion("USE_STATE between", value1, value2, "useState");
            return (Criteria) this;
        }

        public Criteria andUseStateNotBetween(String value1, String value2) {
            addCriterion("USE_STATE not between", value1, value2, "useState");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNull() {
            addCriterion("CREATE_USER is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIsNotNull() {
            addCriterion("CREATE_USER is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserEqualTo(String value) {
            addCriterion("CREATE_USER =", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotEqualTo(String value) {
            addCriterion("CREATE_USER <>", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThan(String value) {
            addCriterion("CREATE_USER >", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_USER >=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThan(String value) {
            addCriterion("CREATE_USER <", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLessThanOrEqualTo(String value) {
            addCriterion("CREATE_USER <=", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserLike(String value) {
            addCriterion("CREATE_USER like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotLike(String value) {
            addCriterion("CREATE_USER not like", value, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserIn(List<String> values) {
            addCriterion("CREATE_USER in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotIn(List<String> values) {
            addCriterion("CREATE_USER not in", values, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserBetween(String value1, String value2) {
            addCriterion("CREATE_USER between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateUserNotBetween(String value1, String value2) {
            addCriterion("CREATE_USER not between", value1, value2, "createUser");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNull() {
            addCriterion("UPDATE_USER is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIsNotNull() {
            addCriterion("UPDATE_USER is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserEqualTo(String value) {
            addCriterion("UPDATE_USER =", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotEqualTo(String value) {
            addCriterion("UPDATE_USER <>", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThan(String value) {
            addCriterion("UPDATE_USER >", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserGreaterThanOrEqualTo(String value) {
            addCriterion("UPDATE_USER >=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThan(String value) {
            addCriterion("UPDATE_USER <", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLessThanOrEqualTo(String value) {
            addCriterion("UPDATE_USER <=", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserLike(String value) {
            addCriterion("UPDATE_USER like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotLike(String value) {
            addCriterion("UPDATE_USER not like", value, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIn(List<String> values) {
            addCriterion("UPDATE_USER in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotIn(List<String> values) {
            addCriterion("UPDATE_USER not in", values, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserBetween(String value1, String value2) {
            addCriterion("UPDATE_USER between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateUserNotBetween(String value1, String value2) {
            addCriterion("UPDATE_USER not between", value1, value2, "updateUser");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("UPDATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("UPDATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("UPDATE_TIME =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("UPDATE_TIME <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("UPDATE_TIME >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("UPDATE_TIME >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("UPDATE_TIME <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("UPDATE_TIME <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("UPDATE_TIME in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("UPDATE_TIME not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("UPDATE_TIME between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("UPDATE_TIME not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}